
Redmine - Defect #7329

<code class="javascript"> with long strings may hang server

2011-01-14 11:15 - Etienne Massip

Status: Closed Start date: 2011-01-14

Priority: High Due date:  

Assignee: Etienne Massip % Done: 0%

Category: Core Plugins Estimated time: 0.00 hour

Target version: 1.1.1   

Resolution: Fixed Affected version: 1.1.0

Description

It's a CodeRay parser bug, see http://redmine.rubychan.de/issues/264.

Related issues:

Related to Redmine - Feature #5344: Update to latest CodeRay 0.9.x Closed 2010-04-19

History

#1 - 2011-01-14 17:44 - Etienne Massip

0.9.7 release is dedicated to fix this bug.

Supersedes #5344 and related to #4264.

#2 - 2011-01-15 14:11 - Etienne Massip

0.9.7 is out and is a recommended security upgrade !

#3 - 2011-01-22 15:01 - Kornelius Kalnbach

Is this solved now, with the update to 0.9.7?

#4 - 2011-01-22 15:09 - Jean-Philippe Lang

- Assignee changed from Jean-Philippe Lang to Etienne Massip

Etienne, can you confirm the fix?

#5 - 2011-01-24 09:26 - Etienne Massip

Should be.

But, err, I just tried to parse http://www.redmine.org/issues/7265#note-2 JavaScript excerpt on http://coderay.rubychan.de and it looks like I killed it a

second time ?!

I presume that http://coderay.rubychan.de is up to date ?!

I'll make a try on redmine's trunk.

#6 - 2011-01-24 09:41 - Etienne Massip

Ok, i confirm that the bug is gone on redmine's trunk with 0.9.7, so it's probably a http://coderay.rubychan.de side problem.

Waiting for an answer from Kornelius to be absolutely sure.

#7 - 2011-01-24 11:10 - Etienne Massip

Response from Kornelius :

Found the problem: I was using the CodeRay 1.0 development branch, which

still has the bug. It overwrote my manual fix when I deployed it after

the 0.9.7 release :P

 So : yes, this issue is fixed by Redmine's trunk !

#8 - 2011-01-24 18:49 - Jean-Philippe Lang
- Status changed from New to Resolved

- Target version set to 1.1.1

- Resolution set to Fixed

Thanks, I'll merge it into 1.1-stable since it can be considered as a severe issue.

#9 - 2011-01-30 07:23 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.1-stable in r4774.
